/* Copyright (C) Peter Rank Software - All Rights Reserved
 * Written by Peter Rank <peter@softmanufaktur.de>, 2017
 */
import React from 'react';
import { withStyles } from '@material-ui/core/styles';
import InputLabel from '@material-ui/core/InputLabel';
import MenuItem from '@material-ui/core/MenuItem';
import FormControl from '@material-ui/core/FormControl';
import Select from '@material-ui/core/Select';

class LCalPrecisionField extends React.Component {
  render() {
    const classes = this.props.classes;
    return /*#__PURE__*/React.createElement(FormControl, {
      className: classes.formControl,
      style: {
        margin: 1,
        paddingRight: 10
      }
    }, /*#__PURE__*/React.createElement(InputLabel, {
      htmlFor: "precision"
    }, "Genauigkeit"), /*#__PURE__*/React.createElement(Select, {
      value: this.props.precision,
      onChange: evt => this.props.onPrecisionChange(evt.target.value),
      inputProps: {
        name: 'precision',
        id: 'precision'
      }
    }, /*#__PURE__*/React.createElement(MenuItem, {
      value: 0
    }, "1 Mrd Jahre"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 1
    }, "100 Mio Jahre"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 2
    }, "10 Mio Jahre"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 3
    }, "1 Mio Jahre"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 4
    }, "100 Tsd Jahre"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 5
    }, "10 Tsd Jahre"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 6
    }, "Jahrtausend"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 7
    }, "Jahrhundert"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 8
    }, "Jahrzehnt"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 9
    }, "Jahr"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 10
    }, "Monat"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 11
    }, "Tag"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 12
    }, "Stunde"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 13
    }, "Minute"), /*#__PURE__*/React.createElement(MenuItem, {
      value: 14
    }, "Sekunde")));
  }

}

const styles = theme => ({
  container: {
    display: 'flex',
    flexWrap: 'wrap'
  }
});

export default withStyles(styles)(LCalPrecisionField);