/* Copyright (C) Peter Rank Software - All Rights Reserved
 * Written by Peter Rank <peter@softmanufaktur.de>, 2017
 */
import React from 'react';
import { withStyles } from '@material-ui/core/styles';
import InputLabel from '@material-ui/core/InputLabel';
import MenuItem from '@material-ui/core/MenuItem';
import FormControl from '@material-ui/core/FormControl';
import Select from '@material-ui/core/Select';
import Typography from '@material-ui/core/Typography';

class LCalTypeField extends React.Component {
  render() {
    const classes = this.props.classes;
    return /*#__PURE__*/React.createElement(FormControl, {
      className: classes.formControl,
      style: {
        margin: 1,
        padding: 0
      }
    }, /*#__PURE__*/React.createElement(InputLabel, {
      htmlFor: "type"
    }, /*#__PURE__*/React.createElement("span", {
      style: {
        whiteSpace: "nowrap"
      }
    }, this.props.isEndType ? "Art des Endes" : "Art des Starts")), /*#__PURE__*/React.createElement(Select, {
      value: this.props.type,
      onChange: evt => this.props.onTypeChange(evt.target.value),
      inputProps: {
        name: 'type',
        id: 'type'
      }
    }, !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 585,
      style: {
        border: "3px solid yellow"
      }
    }, /*#__PURE__*/React.createElement("b", null, "Zeitpunkt")), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 569
    }, /*#__PURE__*/React.createElement("b", null, "geboren")), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 1319
    }, /*#__PURE__*/React.createElement("b", null, "fr\xFChestens")), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 580
    }, /*#__PURE__*/React.createElement("b", null, "Start")), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 571
    }, /*#__PURE__*/React.createElement("span", null, /*#__PURE__*/React.createElement("b", null, "Entstehung"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Typography, {
      variant: "caption"
    }, "oder Gr\xFCndung/Erstellung"))), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 575
    }, /*#__PURE__*/React.createElement("b", null, "Entdeckung")), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 577
    }, /*#__PURE__*/React.createElement("b", null, "Publikation")), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 574
    }, /*#__PURE__*/React.createElement("b", null, "Erstbeschreibung")), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 1636
    }, /*#__PURE__*/React.createElement("b", null, "getauft")), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 1191
    }, /*#__PURE__*/React.createElement("b", null, "Urauff\xFChrung")), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 1619
    }, /*#__PURE__*/React.createElement("b", null, "er\xF6ffnet")), !this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 2031
    }, /*#__PURE__*/React.createElement("b", null, "aktiv seit")), this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 570
    }, /*#__PURE__*/React.createElement("b", null, "gestorben")), this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 1326
    }, /*#__PURE__*/React.createElement("b", null, "sp\xE4testens")), this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 582
    }, /*#__PURE__*/React.createElement("b", null, "Ende")), this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 730
    }, /*#__PURE__*/React.createElement("b", null, "Stilllegung")), this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 576
    }, /*#__PURE__*/React.createElement("b", null, "aufgel\xF6st")), this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 746
    }, /*#__PURE__*/React.createElement("b", null, "verschollen seit")), this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 2032
    }, /*#__PURE__*/React.createElement("b", null, "aktiv bis")), this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 2669
    }, /*#__PURE__*/React.createElement("b", null, "eingestellt")), this.props.isEndType && /*#__PURE__*/React.createElement(MenuItem, {
      value: 3999
    }, /*#__PURE__*/React.createElement("b", null, "geschlossen"))));
  }

}

const styles = theme => ({
  container: {
    display: 'flex',
    flexWrap: 'wrap'
  }
});

export default withStyles(styles)(LCalTypeField);