/* Copyright (C) Peter Rank Software - All Rights Reserved
 * Written by Peter Rank <peter@softmanufaktur.de>, 2016
 */
import React from 'react';
import IconButton from '@material-ui/core/IconButton/IconButton';
import ExpandMoreIcon from '@material-ui/icons/ExpandMore';
import CardHeader from '@material-ui/core/CardHeader';
import { withStyles } from '@material-ui/core/styles';
import classnames from 'classnames';
import styles from './styles';
import Typography from '@material-ui/core/Typography';

class ExpandableCardHeader extends React.Component {
  render() {
    const classes = this.props.classes;
    return /*#__PURE__*/React.createElement(CardHeader, {
      style: {
        padding: 7,
        paddingBottom: 0
      },
      title: /*#__PURE__*/React.createElement("span", {
        style: {
          display: "flex",
          flexDirection: "row"
        },
        onClick: this.props.onOpen
      }, /*#__PURE__*/React.createElement("span", {
        style: {
          flexGrow: 1
        }
      }, /*#__PURE__*/React.createElement(Typography, {
        variant: "subtitle1"
      }, this.props.title)), /*#__PURE__*/React.createElement(IconButton, {
        className: classnames(classes.expand, {
          [classes.expandOpen]: this.props.open
        })
      }, /*#__PURE__*/React.createElement(ExpandMoreIcon, null)))
    });
  }

}

export default withStyles(styles)(ExpandableCardHeader);