import React from 'react';
import SvgIconFace from '@material-ui/icons/Face';
import Avatar from '@material-ui/core/Avatar';
import Chip from '@material-ui/core/Chip';
import Typography from '@material-ui/core/Typography';

class StatusBar extends React.Component {
  render() {
    let avatar;

    if (this.props.avatarSrc) {
      avatar = /*#__PURE__*/React.createElement(Avatar, {
        src: this.props.avatarSrc
      });
    } else {
      avatar = /*#__PURE__*/React.createElement(Avatar, {
        style: {
          width: 40,
          height: 40
        }
      }, /*#__PURE__*/React.createElement(SvgIconFace, null));
    }

    let label = /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("span", null, this.props.name && /*#__PURE__*/React.createElement("div", null, this.props.name), this.props.time && /*#__PURE__*/React.createElement("div", null, this.props.time)));
    return /*#__PURE__*/React.createElement("div", {
      style: {
        width: "100%",
        display: "flex",
        justifyContent: "space-between",
        background: "rgba(100, 100, 100, 0.3)"
      }
    }, /*#__PURE__*/React.createElement(Chip, {
      avatar: avatar,
      label: label,
      style: {
        height: 40,
        margin: 5
      }
    }), /*#__PURE__*/React.createElement("span", {
      style: {
        margin: 5
      }
    }, /*#__PURE__*/React.createElement(Typography, {
      variant: "caption"
    }, "#", this.props.displid ? this.props.displid : "unknown")));
  }

}

export default StatusBar;