import React from 'react';
import ReactCanvasTimeline from '../timeline/reactcanvastimeline'
import Resource from '../data/resource';
import Task from '../data/task';
import LCal from '../calendar/lcal';

const COLORS = ['FF005D', '0085B6', '0BB4C1', '00D49D', 'FEDF03', '233D4D', 'FE7F2D', 'FCCA46', 'A1C181', '579C87']
let color = -1
const nextColor = () => {
  color = (color + 1) % COLORS.length
  return COLORS[color]
}

const buildTestData = () => {
  let resources = [];
  for(let n=0; n<100; n++) {
    let res = new Resource(n, "Res "+n, "Techniker", false);
    resources.push(res);
  }

  let tasks = [];
  for(let n=0; n<1000; n++) {
    let now = new LCal().initNow();
    let start = now.clone().addDay(Math.round(n/10));
    let end = now.clone().addDay(Math.round(n/10) + 1 + Math.random()*20);
    let task = new Task(n, start, end, Math.round(Math.random()*100), "Task "+n, "Ein Vorgang", null);
    task.getDisplayData().setColor("#"+nextColor());
    tasks.push(task);
  }
  return {
    resources,
    tasks
  }
}

export default {
  title: 'timeline',
  component: ReactCanvasTimeline,
};

export const SimpleInstrumentedTimeline = () => {
  let testData = buildTestData();
  return <div>
    <ReactCanvasTimeline
      resources = {testData.resources}
      tasks = {testData.tasks}
    />
  </div>;
}


