import React from 'react';
import InstrumentedTimeline from './instrumentedtimeline';
import TaskModel from '../model/taskmodel';
import SliderHelper from '../slider/sliderhelper';
import LCal from '../calendar/lcal';

const ReactCanvasTimeline = ({resources, tasks}) => {
  let model = new TaskModel();
  model.getResourceModel().setAll(resources);
  model.setAll(tasks);

  let sliderValues = SliderHelper.getSliderValues(model.getAll());
  let now = new LCal().initNow();
  let displStart = now.clone().addDay(-10);
  let displEnd = now.clone().addDay(10);

  return <InstrumentedTimeline
      width={1000}
      height={500}
      horizontalOrientation={true}
      showWaitOverlay={false}
      model={model}
      start={displStart}
      end={displEnd}
      timeZone={"Europe/Berlin"}
      onClick={(evt) => console.log(evt)}
      onPress={(evt) => console.log(evt)}
      onLongPress={(evt) => console.log(evt)}
      onNowDialogClose={() => console.log("nowDialogClose")}
      sliderValues={sliderValues}
      longlabels={true}
      yearPositions={12}
      initialMeasureInterval= {null}
      onMeasureIntervalChanged={(interval) => console.log("measureInterval changed: "+interval)}
      verticalNowButtonNeighbours={null}
      horizontalNowButtonNeighbours={null}
      backgroundImage={null}
      overlayheader={false}
      texts={{
        presshere: "Drücke hier 2 Sekunden, um ein neues Ereignis zu erstellen"
      }}
      backgroundClassName={null}
      canvasClassName={null}
  />
}

export default ReactCanvasTimeline;